Package org.lwjgl.opengl

# Class ARBTransformFeedback2

java.lang.Object
org.lwjgl.opengl.ARBTransformFeedback2

public final class ARBTransformFeedback2 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_TRANSFORM_FEEDBACK`
Accepted by the <target> parameter of BindTransformFeedback:
`static final int`
`GL_TRANSFORM_FEEDBACK_BINDING`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindTransformFeedback(int target, int id)`
`static void`
`glDeleteTransformFeedbacks(int id)`
Overloads glDeleteTransformFeedbacks.
`static void`
`glDeleteTransformFeedbacks(IntBuffer ids)`
`static void`
`glDrawTransformFeedback(int mode, int id)`
`static int`
`glGenTransformFeedbacks()`
Overloads glGenTransformFeedbacks.
`static void`
`glGenTransformFeedbacks(IntBuffer ids)`
`static boolean`
`glIsTransformFeedback(int id)`
`static void`
`glPauseTransformFeedback()`
`static void`
`glResumeTransformFeedback()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TRANSFORM_FEEDBACK

public static final int GL_TRANSFORM_FEEDBACK
Accepted by the <target> parameter of BindTransformFeedback:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BINDING

public static final int GL_TRANSFORM_FEEDBACK_BINDING
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

## Method Details

### glBindTransformFeedback

public static void glBindTransformFeedback(int target, int id)

### glDeleteTransformFeedbacks

public static void glDeleteTransformFeedbacks(IntBuffer ids)

### glDeleteTransformFeedbacks

public static void glDeleteTransformFeedbacks(int id)
Overloads glDeleteTransformFeedbacks.

### glGenTransformFeedbacks

public static void glGenTransformFeedbacks(IntBuffer ids)

### glGenTransformFeedbacks

public static int glGenTransformFeedbacks()
Overloads glGenTransformFeedbacks.

### glIsTransformFeedback

public static boolean glIsTransformFeedback(int id)

### glPauseTransformFeedback

public static void glPauseTransformFeedback()

### glResumeTransformFeedback

public static void glResumeTransformFeedback()

### glDrawTransformFeedback

public static void glDrawTransformFeedback(int mode, int id)